Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2008 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.portal.tools.serviceadmin.controls
Interface CredentialVaultControl

    @ControlInterface
    public interface CredentialVaultControl

A control to represent an interface to Credential Vault methods

Method Summary
`void` | `createCredential(String name, String description, String username, String password, Map<String,String> metaData, javax.servlet.http.HttpServletRequest request)` This method will create a new credential.
`void` | `deleteCredential(String[] credentialNames, javax.servlet.http.HttpServletRequest request)` This method will delete the credentials stored within the `String[]`.
`List<CredentialEntry>` | `getCredential(String filterKey, javax.servlet.http.HttpServletRequest request)` This method will return a `List` of `CredentialEntry` objects.
`void` | `updateCredential(String credentialName, String credentialDescription, String userName, String password, Map<String,String> metaData, javax.servlet.http.HttpServletRequest request)` This method updates a specific credential.

Method Detail

### getCredential

    List<CredentialEntry> getCredential(String filterKey,
                                        javax.servlet.http.HttpServletRequest request)

  This method will return a `List` of `CredentialEntry` objects.

  Parameters
    `filterKey` - - A key used to search for similar credentials
    `request` - - The `HttpServletRequest`
  Returns
    List

### createCredential

    void createCredential(String name,
                          String description,
                          String username,
                          String password,
                          Map<String,String> metaData,
                          javax.servlet.http.HttpServletRequest request)
                          throws AlreadyExistsException,
                                 CredentialAccessException,
                                 CredentialVaultException,
                                 IllegalArgumentException

  This method will create a new credential.

  Parameters
    `name` - - The name of the credential and part of the `ResourceKey` along with the scope.
    `description` - - A descriptive message about the credential
    `username` - - The username associated with the credential
    `password` - - The password associated with the credential
    `metaData` - - The metadata associated with the credential
    `request` - - The `HttpServletRequest`
  Throws
    `AlreadyExistsException`
    `CredentialAccessException`
    `CredentialVaultException`
    `IllegalArgumentException`

### deleteCredential

    void deleteCredential(String[] credentialNames,
                          javax.servlet.http.HttpServletRequest request)

  This method will delete the credentials stored within the `String[]`.

  Parameters
    `credentialNames` - - A `String[]` of credentials to delete
    `request` - - The `HttpServletRequest`

### updateCredential

    void updateCredential(String credentialName,
                          String credentialDescription,
                          String userName,
                          String password,
                          Map<String,String> metaData,
                          javax.servlet.http.HttpServletRequest request)
                          throws CredentialVaultException

  This method updates a specific credential.

  Parameters
    `credentialName` - - The name of the credential and part of the `ResourceKey` along with the scope. This value is part of the key thus it cannot be modified.
    `credentialDescription` - - A descriptive message about the credential. This parameter is modifiable.
    `userName` - - The username associated with the credential. This parameter is modifiable.
    `password` - - The password associated with the credential. This parameter is modifiable.
    `metaData` - - The metadata associated with the credential. This parameter is modifiable.
    `request` - - The `HttpServletRequest`
  Throws
    `CredentialVaultException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 BEA Systems, Inc. All Rights Reserved